# sf::Unicode::Unicode::Text Class Reference

This class is an abstract definition of a unicode text, it can be converted from and to any kind of string and encoding. More...

`#include <Unicode.hpp>`

List of all members.

## Public Member Functions

| Text ()
| Default constructor (empty text).
| Text (const char *Str)
| Construct the unicode text from any type of string.
| Text (const wchar_t *Str)
| Text (const Uint8 *Str)
| Text (const Uint16 *Str)
| Text (const Uint32 *Str)
| Text (const std::string &Str)
| Text (const std::wstring &Str)
| Text (const Unicode::UTF8String &Str)
| Text (const Unicode::UTF16String &Str)
| Text (const Unicode::UTF32String &Str)
| operator std::string () const
| Operator to cast the text to any type of string.
| operator std::wstring () const
| operator Unicode::UTF8String () const
| operator Unicode::UTF16String () const
| operator const Unicode::UTF32String & () const

## Detailed Description

This class is an abstract definition of a unicode text, it can be converted from and to any kind of string and encoding.

Definition at line 63 of file Unicode.hpp.

## Constructor & Destructor Documentation

sf::Unicode::Unicode::Text::Text | ( |  | ) |

Default constructor (empty text).

Definition at line 105 of file Unicode.cpp.

sf::Unicode::Unicode::Text::Text | ( | const char * | Str | ) |

Construct the unicode text from any type of string.

Parameters:

  | Str | : String to convert

Definition at line 114 of file Unicode.cpp.

## Member Function Documentation

sf::Unicode::Unicode::Text::operator std::string | ( |  | ) | const

Operator to cast the text to any type of string.

Returns:
  Converted string

Definition at line 227 of file Unicode.cpp.

The documentation for this class was generated from the following files:

- Unicode.hpp
- Unicode.cpp